Bug 522501 - Turn off IPX protocol module
Summary: Turn off IPX protocol module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: Development
Hardware: All
OS: Linux
high
medium
Target Milestone: 1.1.9
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: David Sommerseth
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 14:41 UTC by Clark Williams
Modified: 2016-05-22 23:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-03 18:22:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1540 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2009-11-03 18:21:07 UTC

Description Clark Williams 2009-09-10 14:41:58 UTC
Description of problem:

The realtime kernel does not have a need to support the IPX protocol stack. Turn off CONFIG_IPX in all RT kernel variants

Comment 1 Luis Claudio R. Goncalves 2009-09-11 02:52:55 UTC
Done for kernel V1 (-134)

Comment 2 Luis Claudio R. Goncalves 2009-09-30 18:51:13 UTC
there is a different BZ for kernel v2 that has a bigger list of protocols and features to disable.

Comment 3 David Sommerseth 2009-10-27 15:38:37 UTC
Verified against kernel-rt-2.6.24.7-136:

* Checking config
# grep "IPX" config-*
config-generic:# CONFIG_IPX is not set
config-generic:# CONFIG_IPX_INTERN is not set
#

* Trying to load ipx module
# modprobe ipx
FATAL: Module ipx not found.

Comment 5 errata-xmlrpc 2009-11-03 18:22:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1540.html


Note You need to log in before you can comment on or make changes to this bug.